TIME(1)

NAME
time, ptime - time a command

SYNOPSIS
time [-p] command
ptime [-p] command

DESCRIPTION
The given command is executed; after it is complete, time prints the elapsed time during the command, the time spent in the system, and the time spent in execution of the command. Times are reported in seconds.

The times are printed on the diagnostic output stream.

Ptime performs a similar task using the /proc file system, but does not include the time values of child processes of command.

Both time and ptime accept the following option:

-p  Use the portable output format, as in:

    real (real seconds)
    user (user seconds)
    sys (system seconds)

If the specified command could not get found, time and ptime exit with a status of 127. If the command was found, but could not get executed, the exit status is 126.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_NUMERIC
    Sets the format of numbers printed with the -p option.

PATH
    Used to find the location of command.

SEE ALSO
sh(1), times(2), proc(5)

NOTES
Ptime prints values in milliseconds, but the practical accuracy depends on the system clock.